<?
include 'config.php';
include 'func.php';
head();
aut();
ban();

echo head . 'Флиртомания' . div;
echo '<center>';

if (isset($_GET['act'])) {
$act = stripcslashes(htmlspecialchars($_GET['act']));
} else {
$act = 'index';
}
if($user['sex'] == 0) $pol = 1; else $pol = 0;


switch ($act):
case "index":

if (isset($_GET['id']) AND isset($_GET['uid']) AND isset($_GET['vot'])) {
    $id=intval($_GET['id']);
    $uid=intval($_GET['uid']);
    $vot=intval($_GET['vot']);
    
    $us = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$uid."'"));
    #if($us['flirt_sett'] == 1)
    mysql_query("INSERT INTO `flirt_lenta` (`id_user`, `id_opponent`, `id_vopros`, `vot`) values('".$id_session."', '".$uid."', '".$id."', '".$vot."')");
    echo rew('flirt.php?');
}

$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `flirt_lenta` WHERE `id_opponent`='$user[id]'"),0);

if ($all > 0)
echo link1 . "<b><a href='?act=lenta'>Лента</a> [".$all."]</b>" . div;

#echo "<b><a href='flirt_sett.php'>Настройки</a></b><br/>";

$flirts = mysql_fetch_assoc(mysql_query("SELECT * FROM `flirt_vopros` WHERE `id` = '".$id."'"));
$q = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `time` > '".(time()-600)."' AND  `sex` = '".$pol."' AND `sett_flirt` = '1' AND `id` != '".$user['id']."' ORDER BY RAND() DESC LIMIT 1"));

if (empty($q)) {
    if ($sex_session == 0)
    echo link1 . 'Парней нет в сети =(. Зайдите позже))' . div;
    else
    echo link1 . 'Девушек нет в сети =(. Зайдите позже))' . div;
    
if ($flirt_session == 0) 
echo link1 . '<br/>Вы не участвуете в флиртомании. Для участия перейдите в меню Настройки и актвируйтесь.' . div;
}else{

$flirt = mysql_fetch_assoc(mysql_query("SELECT * FROM `flirt_vopros` ORDER BY RAND() DESC LIMIT 1"));

if($q['upload_ava']){
    $ava = '<div class="link2"><a href="profile.php?id='.$q['id'].'"><img src="resize.php?img=upload_ava/'.$q['upload_ava'].'&width=100&height" alt=""/></a>';
} else {
    $ava = '<div class="link2"><a href="profile.php?id='.$q['id'].'"><img src="resize.php?img=noava.png&width=100&height" alt=""/></a>';
}

echo $ava . '<br/>';
echo "<b><a href='/profile.php?id=$q[id]'>$q[login]</a></b>, ".$flirt[vopros]."</div>\n";


echo link2 . "<a href='?id=$flirt[id]&uid=$q[id]&vot=1'>".$flirt[variant1]."</a><br/>";
echo "<a href='?id=$flirt[id]&uid=$q[id]&vot=2'>".$flirt[variant2]."</a><br/>";
echo "<a href='?id=$flirt[id]&uid=$q[id]&vot=3'>".$flirt[variant3 ]."</a>" . div;
echo link1 . "<b><a href='?'>Пропустить</a></b>" . div;
//echo "<hr/>";
}
break;

case "lenta":
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `flirt_lenta` WHERE `id_opponent`='$user[id]'"),0);

if ($k_post == 0) echo link1 . 'Лента пуста' . div;

$q=mysql_query("SELECT * FROM `flirt_lenta` WHERE `id_opponent` = '$user[id]'");
while($row=mysql_fetch_assoc($q)){
$g=mysql_fetch_assoc(mysql_query("SELECT * FROM `flirt_vopros` WHERE `id`='$row[id_vopros]' ORDER BY id DESC LIMIT 1"));

echo link2 . user($row[id]) . '<br/>';
echo "Пользователю ".user($row[id_user])." был задан вопрос о вас, на которое он уже ответил. Если ваши ответы совпадут, то вы получите 5 монет: <br/>";

echo '<b>'.$g['vopros'].'</b><br/>';
echo "<a href='?act=result&id=$g[id]&uid=$row[id]&vot=1&ids=$row[id]'>".$g[variant1]."</a><br/>";
echo "<a href='?act=result&id=$g[id]&uid=$row[id]&vot=2&ids=$row[id]'>".$g[variant2]."</a><br/>";
echo "<a href='?act=result&id=$g[id]&uid=$row[id]&vot=3&ids=$row[id]'>".$g[variant3]."</a>" . div;
//echo "<hr/>";
}
break;

case 'result':

$id=intval($_GET['id']);
$uid=intval($_GET['uid']);
$vot=intval($_GET['vot']);
$ids=intval($_GET['ids']);

$q=mysql_fetch_assoc(mysql_query("SELECT * FROM `flirt_lenta` WHERE `id_opponent` = '$user[id]'"));
if ($q[vot]==$vot){
mysql_query("UPDATE `profile` SET `many`=`many`+5 WHERE `id` = '$q[id_user]' LIMIT 1");
mysql_query("UPDATE `profile` SET `many`=`many`+5 WHERE `id` = '$user[id]' LIMIT 1");

echo link1 . "Поздравляем! Ваши ответы совпали, вам зачисленно 5 монет =)" . div;

}
else{
mysql_query("UPDATE `profile` SET `many`=`many`-5 WHERE `id` = '$q[id_opponent]' LIMIT 1");
mysql_query("UPDATE `profile` SET `many`=`many`-5 WHERE `id` = '$user[id]' LIMIT 1");
echo link1 . "К сожалению ваши ответы не совпали. С вас сняли 5 монет" . div;

}

mysql_query("DELETE FROM `flirt_lenta` WHERE `id` = '".$ids."'");


$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `flirt_lenta` WHERE `id_user`='$user[id]'"),0);

if ($all > 0)
echo link1 . "<b><a href='?act=lenta'>Лента</a> [".$all."]</b>" . div;
break;

default:

header("location: index.php?");
endswitch;

echo '</center>';
navig();
foot();
?>












